Package oracle.jdbc

## Enum OracleType

- java.lang.Object
- - java.lang.Enum<OracleType>
  - - oracle.jdbc.OracleType

All Implemented Interfaces:
  `Serializable`, `Comparable<OracleType>`, `SQLType`

    public enum OracleType
    extends Enum<OracleType>
    implements SQLType

These are all the types documented in Oracle??? Database SQL Language Reference 12c Release 1. The JDBC driver does not necessarily support every type.

Since:
  release specific (what release of product did this appear in)

### Enum Constant Summary

Enum Constants
`ANYDATA`
`ANYDATASET`
`ANYTYPE`
`BFILE`
`BINARY_DOUBLE`
`BINARY_FLOAT`
`BLOB`
`CHAR`
`CLOB`
`DATE`
`DBURITYPE`
`FLOAT`
`HTTPURITYPE`
`INTERVAL_DAY_TO_SECOND`
`INTERVAL_YEAR_TO_MONTH`
`JSON`
`LONG`
`LONG_RAW`
`NCHAR`
`NCLOB`
`NESTED_TABLE`
`NUMBER`
`NVARCHAR`
`OBJECT`
`ORDAUDIO`
`ORDDICOM`
`ORDDOC`
`ORDIMAGE`
`ORDVIDEO`
`PLSQL_BOOLEAN` PLSQL_BOOLEAN binds BOOLEAN type for input/output parameters when executing a PLSQL function/procedure.
`RAW`
`REF`
`ROWID`
`SDO_GEOMETRY`
`SDO_GEORASTER`
`SDO_TOPO_GEOMETRY`
`SI_AVERAGE_COLOR`
`SI_COLOR`
`SI_COLOR_HISTOGRAM`
`SI_FEATURE_LIST`
`SI_POSITIONAL_COLOR`
`SI_STILL_IMAGE`
`SI_TEXTURE`
`TIMESTAMP`
`TIMESTAMP_WITH_LOCAL_TIME_ZONE`
`TIMESTAMP_WITH_TIME_ZONE`
`UROWID`
`VARCHAR2`
`VARRAY`
`XDBURITYPE`
`XMLTYPE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getVendor()`
`Integer` `getVendorTypeNumber()`
`boolean` `isNationalCharacterSet()` Does this type use the national character set?
`boolean` `isSupported()` Does this driver support this database type?
`static OracleType` `toOracleType​(int oracleTypesConst)` Returns the OracleType corresponding to the int constant defined in OracleTypes.
`static OracleType` `toOracleType​(SQLType sqlType)` Returns the OracleType corresponding to SQLType.
`static OracleType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static OracleType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VARCHAR2

    public static final OracleType VARCHAR2

#### NVARCHAR

    public static final OracleType NVARCHAR

#### NUMBER

    public static final OracleType NUMBER

#### FLOAT

    public static final OracleType FLOAT

#### LONG

    public static final OracleType LONG

#### DATE

    public static final OracleType DATE

#### BINARY_FLOAT

    public static final OracleType BINARY_FLOAT

#### BINARY_DOUBLE

    public static final OracleType BINARY_DOUBLE

#### TIMESTAMP

    public static final OracleType TIMESTAMP

#### TIMESTAMP_WITH_TIME_ZONE

    public static final OracleType TIMESTAMP_WITH_TIME_ZONE

#### TIMESTAMP_WITH_LOCAL_TIME_ZONE

    public static final OracleType TIMESTAMP_WITH_LOCAL_TIME_ZONE

#### INTERVAL_YEAR_TO_MONTH

    public static final OracleType INTERVAL_YEAR_TO_MONTH

#### INTERVAL_DAY_TO_SECOND

    public static final OracleType INTERVAL_DAY_TO_SECOND

#### PLSQL_BOOLEAN

    public static final OracleType PLSQL_BOOLEAN

PLSQL_BOOLEAN binds BOOLEAN type for input/output parameters when executing a PLSQL function/procedure. Only available for thin driver.

Since:
  12.2

#### RAW

    public static final OracleType RAW

#### LONG_RAW

    public static final OracleType LONG_RAW

#### ROWID

    public static final OracleType ROWID

#### UROWID

    public static final OracleType UROWID

#### CHAR

    public static final OracleType CHAR

#### NCHAR

    public static final OracleType NCHAR

#### CLOB

    public static final OracleType CLOB

#### NCLOB

    public static final OracleType NCLOB

#### BLOB

    public static final OracleType BLOB

#### BFILE

    public static final OracleType BFILE

#### JSON

    public static final OracleType JSON

#### OBJECT

    public static final OracleType OBJECT

#### REF

    public static final OracleType REF

#### VARRAY

    public static final OracleType VARRAY

#### NESTED_TABLE

    public static final OracleType NESTED_TABLE

#### ANYTYPE

    public static final OracleType ANYTYPE

#### ANYDATA

    public static final OracleType ANYDATA

#### ANYDATASET

    public static final OracleType ANYDATASET

#### XMLTYPE

    public static final OracleType XMLTYPE

#### HTTPURITYPE

    public static final OracleType HTTPURITYPE

#### XDBURITYPE

    public static final OracleType XDBURITYPE

#### DBURITYPE

    public static final OracleType DBURITYPE

#### SDO_GEOMETRY

    public static final OracleType SDO_GEOMETRY

#### SDO_TOPO_GEOMETRY

    public static final OracleType SDO_TOPO_GEOMETRY

#### SDO_GEORASTER

    public static final OracleType SDO_GEORASTER

#### ORDAUDIO

    public static final OracleType ORDAUDIO

#### ORDDICOM

    public static final OracleType ORDDICOM

#### ORDDOC

    public static final OracleType ORDDOC

#### ORDIMAGE

    public static final OracleType ORDIMAGE

#### ORDVIDEO

    public static final OracleType ORDVIDEO

#### SI_AVERAGE_COLOR

    public static final OracleType SI_AVERAGE_COLOR

#### SI_COLOR

    public static final OracleType SI_COLOR

#### SI_COLOR_HISTOGRAM

    public static final OracleType SI_COLOR_HISTOGRAM

#### SI_FEATURE_LIST

    public static final OracleType SI_FEATURE_LIST

#### SI_POSITIONAL_COLOR

    public static final OracleType SI_POSITIONAL_COLOR

#### SI_STILL_IMAGE

    public static final OracleType SI_STILL_IMAGE

#### SI_TEXTURE

    public static final OracleType SI_TEXTURE

### Method Detail

#### values

    public static OracleType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleType c : OracleType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toOracleType

    public static OracleType toOracleType​(SQLType sqlType)
                                   throws SQLException

Returns the OracleType corresponding to SQLType.

Parameters:
  `sqlType` -
Returns:
  corresponding OracleType
Throws:
  `SQLException`
Since:
  12.2

#### toOracleType

    public static OracleType toOracleType​(int oracleTypesConst)
                                   throws SQLException

Returns the OracleType corresponding to the int constant defined in OracleTypes.

Parameters:
  `oracleTypesConst` - an int value defined in OracleTypes.
Returns:
  the corresponding OracleType.
Throws:
  `SQLException` - if there is no corresponding OracleType.

#### getName

    public String getName()

Specified by:
  `getName` in interface `SQLType`

#### getVendor

    public String getVendor()

Specified by:
  `getVendor` in interface `SQLType`

#### getVendorTypeNumber

    public Integer getVendorTypeNumber()

Specified by:
  `getVendorTypeNumber` in interface `SQLType`

#### isNationalCharacterSet

    public boolean isNationalCharacterSet()

Does this type use the national character set?

Returns:
  true iff this type uses the national character set
Since:
  12.2

#### isSupported

    public boolean isSupported()

Does this driver support this database type?

Returns:
  true iff this driver supports this database type
Since:
  12.2